Integration GuidesReference Docs
Coverage MatrixDocumentationChange LogLog InContact Us
Reference Docs

NBA Season Injury Status

Global Basketball NBA Season Injury Status provides the current NBA injury list for a given season, including each player's injury status.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

⏱️

Update Frequency

30s Time To Live / Cache

🏀

Access

This endpoint is part of the basketball-nba sub-package of the Global Basketball API. Access is for betting clients only and is granted through your account manager or sales representative.


Data Points

Player
AttributeParent ElementTypeDescription
first_nameplayerStringFirst name of a player

ex. Jimmy
idplayerStringUnique ID of a player

ex. sr:player:607444
injury_descriptionplayerStringDescription of the injury

ex. Knee
injury_statusplayerStringCurrent injury status

out, day_to_day, out_for_season, out_indefinitely, doubtful, questionable, seven_days, ten_days, sixty_days
last_nameplayerStringLast name of a player

ex. Butler
status_updated_atplayerDateTimeLast update timestamp for the injury status

ex. 2026-01-20T00:00:00+00:00
Competitor
AttributeParent ElementTypeDescription
abbreviationcompetitorStringAbbreviation for a competitor name

ex. GOL (Golden State Warriors)
idcompetitorStringUnique ID for a competitor

ex. sr:competitor:3428 (Golden State Warriors)
namecompetitorStringName for a competitor

ex. Golden State Warriors
Path Params
string
enum
required
Defaults to production

The access level of your API key

trial, production

Allowed:
string
enum
required
Defaults to en

2-letter code for supported languages

da (Danish), de (German), el (Greek), en (English), es (Spanish), fi (Finnish), fr (French), hi (Hindi), hu (Hungarian), id (Indonesian), it (Italian), ja (Japanese), ko (Korean), nl (Dutch), no (Norwegian), pt (Portuguese), ru (Russian), sr (Serbian), srl (Serbian Latin), sv (Swedish), th (Thai), tr (Turkish), zh (Chinese - simplified), zht (Chinese - traditional)

The above codes are the fully supported languages for this API. Click here for valid language codes and a tabular list of available languages per competition.

string
required
Defaults to sr:season:142074

Unique Id of a season, found in the Seasons endpoint

Note: The API provides a maximum of 3 seasons per competition — 2 previous seasons and 1 current season.

Example: sr:season:119811

string
enum
required
Defaults to json

Format returned

json, xml

Allowed:
Query Params
integer
≥ 0
Defaults to 0

The number of items to skip before starting to collect the result set.
Default: 0

Example: start=100 to receive a 2nd page of results (if necessary)

Note: You may alternatively use offset

integer
1 to 200
Defaults to 200

The number of items to return.
Maximum: 200
Default value: 200

Example: limit=50

Note: Pagination may be required to pull all data within this feed. By default, the feed will return 200 items.

Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json